﻿using Models.Game;
using System.Collections.ObjectModel;

namespace Models.Interfaces
{
    public interface IPersistence
    {
        (ObservableCollection<Player>, ObservableCollection<Game.Game>, ObservableCollection<Map>, ObservableCollection<BestScore>) LoadData();
        
        void SaveData(ObservableCollection<Player> players, ObservableCollection<Game.Game> games, ObservableCollection<Map> maps, ObservableCollection<BestScore> bestScores);
    }
}